#include<bits/stdc++.h>
#pragma GCC target( "sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,avx2,tune=native")
#pragma GCC optimize("Ofast,unroll-loops,fast-math,O3")
using namespace std;
#define int long long
#define y1 cheza
mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
const int N=2e5+1000;
const int M=1e4;
const int mod=1e9+7;
const int INF=1e18;
const int dx[]={1,-1,0,0};
const int dy[]={0,0,-1,1};
const long double eps=1e-6;
int n, m, ans, ans2;
int a[N];
int pref[N];
void test(){
    cin >> n >> m;
    if (m < n) swap (n, m);
    ans += n * m;
    for (int i = 1; i < m; i++) {
        ans += n * (m - i + 1);
    }
    cout << ans + (n * (n + 1) / 2 - 1) * m;
} 


/*
3 1 2 0
*/

signed main(){
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    // cout.tie(nullptr);
    long long t2=1;
    for(int i=1;i<=t2;i++){
        test();
    }
    
    return 0;

}
/*
temmie luck

*/
